--
-- Tanque de Agua
-- 
--
-- Autor - Cac
-- 
-- Data - 25/04/2011
--

TanqueAgua = {};

function TanqueAgua.prerequisitesPresent(specializations)
    return true
end;

function TanqueAgua:load(xmlFile)

	self.gastrigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.gastrigger#index"));
	g_currentMission:addNonUpdateable(GasStation:new(self.gastrigger));

	self.fertilizertrigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fertilizertrigger#index"));
	g_currentMission:addNonUpdateable(SprayerFillTrigger:new(self.fertilizertrigger));

end;

function TanqueAgua:delete()
end;

function TanqueAgua:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TanqueAgua:keyEvent(unicode, sym, modifier, isDown)
end;

function TanqueAgua:update(dt)
end;

function TanqueAgua:draw()
end;

